package com.gic.haoban.manage.web.qo.potential;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class RecommendUsedOverviewQO extends PotentialOverviewQO {

    private static final long serialVersionUID = -4105397589798480404L;

    public Map<String, Integer> getFieldsOrder() {
        Map<String, Integer> map = new HashMap<>();
        map.put("matchingTouchMbrNum", 1);            // 人货匹配触达客户数
        map.put("matchingReachClickMbrNum", 2);        // 人货匹配访问人数
        map.put("matchingCTR", 3);                    // 人货匹配触达访问率
        map.put("matchingTouchConvsMbrNum", 4);         // 人货匹配触达转化人数
        map.put("matchingConvsRate", 5);              // 人货匹配触达转化率
        map.put("matchingTouchConvsAmt", 6);       // 人货匹配触达转化金额
        return map;
    }

    public String getDefaultFields() {
        return "matchingTouchMbrNum";
    }
}
